### Hierarchy

- TransferFrom

## Index

### Constructors

- constructor

### Properties

- from
- sender
- to
- value

### Methods

- serialize
- deserialize

## Constructors

### constructor

- new TransferFrom(sender: Address, from: Address, to: Address, value: string): TransferFrom

- - Defined in smartcontract/nativevm/token.ts:193

  #### Parameters

  - ##### sender: Address

  - ##### from: Address

  - ##### to: Address

  - ##### value: string

  #### Returns TransferFrom

## Properties

### from

from: Address

- Defined in smartcontract/nativevm/token.ts:189

### sender

sender: Address

- Defined in smartcontract/nativevm/token.ts:187

### to

to: Address

- Defined in smartcontract/nativevm/token.ts:191

### value

value: string

- Defined in smartcontract/nativevm/token.ts:193

## Methods

### serialize

- serialize(): string

- - Defined in smartcontract/nativevm/token.ts:206

  #### Returns string

### Static deserialize

- deserialize(sr: StringReader): TransferFrom

- - Defined in smartcontract/nativevm/token.ts:175

  #### Parameters

  - ##### sr: StringReader

  #### Returns TransferFrom

Generated using TypeDoc